<?php
/**
 * WHMCS admin currency widget 
 * Ramin Tajallaei
 * Dibaserver.com
 * 04.04.2020
 * قیمتهای نمایش داده شده هر 30 دقیقه بروز میشوند
 */
add_hook('AdminHomeWidgets', 1, function() {
    return new DibaWidget();
});


class DibaWidget extends \WHMCS\Module\AbstractWidget
{
    protected $title = 'قیمت روزانه ارز (بن بست)';
    protected $description = 'دریافت قیمت ارزهای دلار و یورو و لیر از سایت بن بست';
    protected $weight = 40;
    protected $columns = 1;
    protected $cache = true;
    protected $cacheExpiry = 1800;
    protected $requiredPermission = '';



public function getData() 
{
		$connect_web = file_get_contents('https://www.dibaserver.com/today_currency/bonbast_currency.json');
    	$json_diba = json_decode($connect_web, true);

	   foreach ($json_diba as $row) {
		
		$usd_selling = $row["data_usd_sell"];
		$usd_buying = $row["data_usd_buy"];
		$euro_selling = $row["data_euro_sell"];
		$euro_buying = $row["data_euro_buy"];
		$lira_selling = $row["data_lira_sell"];
		$lira_buying = $row["data_lira_buy"];
		$update_date = $row["update_date"];
		
		}

		return array(
        	'usd_buying' => $usd_buying,
        	'usd_selling' => $usd_selling,
			'euro_buying' => $euro_buying,
			'euro_selling' => $euro_selling,
			'lira_selling' => $lira_selling,
			'lira_buying' => $lira_buying,
			'update_date' => $update_date
   		);

}

public function generateOutput($data)
{

return <<<EOF
    <div class="col-sm-6 bordered-right" style="border-right: 1px solid #eee;">
        <div class="item" style="padding: 13px 0;">
            <div class="data color-green"><i class="fas fa-dollar-sign color-green"></i> <strong>{$data['usd_buying']} تومان</strong></div>
            <div class="note">خرید دلار</div>
        </div>
    </div>
    <div class="col-sm-6">
        <div class="item" style="padding: 13px 0;">
            <div class="data color-green"><i class="fas fa-dollar-sign color-green"></i> <strong>{$data['usd_selling']} تومان</strong></div>
            <div class="note">فروش دلار</div>
        </div>
    </div>
    <div class="col-sm-6 bordered-right bordered-top" style="border-right: 1px solid #eee;    border-top: 1px solid #eee;">
        <div class="item" style="padding: 13px 0;">
            <div class="data color-pink"><i class="fas fa-euro-sign color-pink"></i> <strong>{$data['euro_buying']} تومان</strong></div>
            <div class="note">خرید یورو</div>
        </div>
    </div>
    <div class="col-sm-6 bordered-top" style="    border-top: 1px solid #eee;">
        <div class="item" style="padding: 13px 0;">
            <div class="data color-pink"><i class="fas fa-euro-sign color-pink"></i> <strong>{$data['euro_selling']} تومان</strong></div>
            <div class="note">خرید یورو</div>
        </div>
    </div>
	<div class="col-sm-6 bordered-right bordered-top" style="border-right: 1px solid #eee;    border-top: 1px solid #eee;">
        <div class="item" style="padding: 13px 0;">
            <div class="data color-blue"><i class="fas fa-lira-sign"></i> <strong> {$data['lira_buying']} تومان</strong></div>
            <div class="note">خرید لیر ترکیه</div>
        </div>
    </div>
    <div class="col-sm-6 bordered-top" style="    border-top: 1px solid #eee;">
        <div class="item" style="padding: 13px 0;">
            <div class="data color-blue"><i class="fas fa-lira-sign"></i> <strong> {$data['lira_selling']} تومان</strong></div>
            <div class="note">فروش لیر ترکیه</div>
        </div>
    </div>
	<div class="col-sm-12 bordered-top" style="    border-top: 1px solid #eee;">
        <div class="item" style="padding: 13px 0;">
            <div class="data color-red"><i class="fas far fa-clock"></i> <strong>بروزرسانی: {$data['update_date']}</strong></div>
        </div>
    </div>
	<style>
	.widget-dibawidget .item div {text-align: center; padding-bottom: 11px;padding-top: 0px;}
	.widget-dibawidget .item div:nth-child(2) {    padding-left: 5px;}
	.widget-dibawidget .item .note {font-size: 12px;    padding-top: 10px; text-align: center; background-color: #eaf3fb;}

	</style>
EOF;
    }
}